/*
 * jQuery Form Plugin; v20140905
 * Version : v1.0
 * http://www.itechflare.com/
 * Copyright (c) 2014 iTechFlare; Licensed: GPL
 * Developer: Abdulrhman Elbuni (mindsquare)
 */
jQuery.noConflict();
(function (a) {
    a.fn.arfaly = function (e) {
        var d = this;
        var h = 0;
        var i;
        var c = {
            init: function () {
                c.config = a.extend({
                    allowedFileSize: 1024 * 1024 * 1024 * 10,
                    delay: 5000,
                    multi: true,
                    url: "resources/upload.php",
                    dataType: "json",
                    type: "post",
                    disableRemovingItems: true,
                    logoColor: "rgb(150, 155, 255)",
                    textColor: "#DADADA",
                    progressBarColor: "orange",
                    action: "itech_arfaly_submission",
                    beforeSubmit: c.beforeSubmit,
                    successfulUpload: c.successfulUpload,
                    failedUpload: c.failedUpload,
                    fileDeleted: c.fileDeleted
                }, e);
                c.Setup()
            },
            Setup: function () {
                var m = "";
                if (c.config.multi) {
                    m = "multiple"
                }
                var l = '<input type="hidden" name="action" value="itech_mass_upload_submission" />';
                var j = '<div><div id="arfaly-filedrag" style="color: ' + c.config.textColor + ";border: 9px dashed " + c.config.textColor + ';min-width:100%;"><span class="arfaly-showcase icon icon-cloud-storage" style="color:' + c.config.logoColor + '"></span><br/>Drag & Drop files or Click</div><input type="file" style="display:none" name="files[]" id="' + d.attr("id") + '-arfaly-files" ' + m + "><br/></div>";
                var k = '<div id="' + d.attr("id") + '-ListItem" class="arfaly-multi-images"></div>';
                d.addClass("arfaly-multiple-upload");
                d.html(l + j + k)
            },
            bytesToSize: function (j) {
                var l = ["Bytes", "KB", "MB", "GB", "TB"];
                if (j == 0) {
                    return "0 Bytes"
                }
                var k = parseInt(Math.floor(Math.log(j) / Math.log(1024)));
                return Math.round(j / Math.pow(1024, k), 2) + " " + l[k]
            },
            successfulUpload: function (j) {},
            failedUpload: function (j) {},
            fileDeleted: function (k) {
                console.log(k);
                var j = k.fileIdx;
                a.ajax({
                    url: c.config.url,
                    type: "POST",
                    data: k,
                    success: function (l) {}
                })
            },
            beforeSubmit: function (l, n) {
                var p = navigator.userAgent.indexOf("Chrome") > -1;
                var m = navigator.userAgent.indexOf("Safari") > -1;
                if ((p) && (m)) {
                    m = false
                }
                if (window.File && window.FileReader && window.FileList && window.Blob) {
                    var j = l.size;
                    var k = l.type;
                  
                    var o = [];
                    o.status = true;
                    return o
                } else {
                    var o = [];
                    o.status = true;
                    if (m) {
                        o
                    }
                    o.status = false;
                    o.responseText = "Please upgrade your browser, because your current browser lacks some new features we need!";
                    return o
                }
                var o = [];
                o.status = true;
                return o
            },
            deleteItem: function (j) {
                var k = {
                    "arfaly-id": d.attr("id"),
                    command: "delete",
                    "arfaly-filename": d.find("#" + j + "-fileName").text(),
                    fileIdx: j
                };
                c.config.fileDeleted(k);
                a("#uploadItem-" + j).addClass("animated bounceOutRight");
                setTimeout(function (l) {
                    a("#uploadItem-" + j).remove()
                }, 600)
            },
            addFileItem: function (m, k) {
                //var j = '<div id="uploadItem-' + k + '"><div class="arfaly-oval"><div id="mass-item-success-' + k + '" class="notification-oval"><br/><span id="mass-item-success-text-' + k + '" style=";color:white;font-family:cursive;font-size:10px;color:white"></span></div></div><div class="arfaly-list-div"><div><div class="arfaly-list-icon arfaly-left" style="padding:10px;"><span id="mimePicture" class="icon" style="font-size:40px"></span></div><div class="progress-container arfaly-right"><div class="closify-meter ' + c.config.progressBarColor + ' arfaly-right" style="margin-right:25px;"><span id="massUploadProgress-' + k + '" style="width: 0%;" class="arfaly-span-progress"></span></div><span id="' + k + '-fileName" style="z-index: 5;position: relative;font-size: 9px;font-family: cursive;color:#fff;">' + m + '</span><div class="arfaly-list-menu arfaly-right"><ul><li><a class="delete" id="' + k + '"><span class="icon icon-remove" title="Delete this file"></span></a></li></ul></div></div></div></div></div>';
                var j = '<div id="uploadItem-' + k + '" style="text-align:left;"><div id="mass-item-success-' + k + '" class="alert alert-success"><i id="mass-item-success-icon-' + k + '" class="fa fa-check"></i> ' + m + ' <span class="pull-right" id="item-status-' + k + '"></span></div></div>';
				a("#" + d.attr("id") + "-ListItem").prepend(j);
                var l = a(".arfaly-oval").height() - a("#mass-item-success-" + k).height();
                a("#mass-item-success-" + k).css("margin-top", (l / 2) + "px");
                a("#uploadItem-" + k).find("a.delete").click(function () {
                    var o = confirm("Are you sure you want to delete the file?");
                    if (o) {
                        var n = a(this).attr("id");
                        c.deleteItem(n)
                    }
                })
            },
            tagItemSuccess: function (k, m, l) {
                var j;

                if (a("#mass-item-success-" + k).attr("updated") != "true") {
                    a("#mass-item-success-" + k).prepend(j);
                    a("#mass-item-success-" + k).attr("title", l);
                    a("#uploadItem-" + k).attr("title", l);
                    a("#mass-item-success-" + k).addClass((m ? "alert alert-success" : "alert alert-danger"));
                    a("#mass-item-success-icon-" + k).addClass((m ? "fa fa-check" : "fa fa-times"));
					a("#item-status-" + k).html(l);
                }
            },
            fileDragHover: function (j) {
                j.stopPropagation();
                j.preventDefault();
                d.find("#arfaly-filedrag").removeClass("hover").addClass((j.type == "dragover" ? "hover" : ""))
            }
        };
        c.init();
        var g = d.find("#arfaly-filedrag");
        g.on("dragover", c.fileDragHover);
        g.on("dragleave", c.fileDragHover);
        g.on("drop", b);
        g.css("display", "block");
        g.click(function () {
            a("input[id=" + d.attr("id") + "-arfaly-files]").click()
        });

        function b(k) {
            k.stopPropagation();
            k.preventDefault();
            d.find("#arfaly-filedrag").removeClass("hover").addClass("");
            var j = k.target.files || k.originalEvent.dataTransfer.files;
            f(j)
        }
        function f(q) {
            var n = q;
            var k = 0;
            var m = [];
            for (k; k < n.length; k++) {
                if (n[k].length == 0) {
                    continue
                }
                var o = new FormData();
                o.append("SelectedFile", n[k]);
                o.append("action", JSON.stringify(c.config.action, null, 2));
                c.addFileItem(n[k].name, h);
                var l = c.beforeSubmit(n[k], h);
                if (i == null) {
                    a("#uploadItem-" + h).find("#mimePicture").addClass("icon-file")
                } else {
                    a("#uploadItem-" + h).find("#mimePicture").addClass(i)
                }
                if (l.status != true) {
                    c.tagItemSuccess(h, false, l.responseText);
                    h++;
                    continue
                }
                var p = new XMLHttpRequest();
                m[k] = p;
                m[k].index = h;
                m[k].onreadystatechange = function () {
                    if (this.readyState == 4) {
                        try {
                            var r = JSON.parse(this.response);
                            if (r.status == "true") {
                                c.tagItemSuccess(this.index, true, r.data);
                                c.config.successfulUpload(r)
                            } else {
                                c.tagItemSuccess(this.index, false, r.data);
                                c.config.failedUpload(r)
                            }
                        } catch (j) {
                            var r = {
                                status: "error",
                                data: "Response string format is not a valid JSON: [" + this.responseText + "]"
                            };
                            c.tagItemSuccess(this.index, false, r.data)
                        }
                    }
                };
                m[k].upload.index = h;
                m[k].upload.addEventListener("progress", function (s) {
                    var r = s.loaded / s.total * 100;
                    var j = this.index;
                    a("#massUploadProgress-" + this.index).css("width", r + "%");
                    if (r >= 100 && !c.config.disableRemovingItems) {
                        setTimeout(function (t) {
                            c.deleteItem(j)
                        }, c.config.delay)
                    }
                }, false);
                m[k].open(c.config.type, c.config.url);
                m[k].send(o);
                h++
            }
        }
        this.find("input[type=file]").change(function () {
            f(this.files)
        })
    }
})(jQuery);