<?php
include("includes/functions.php");
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Install FileCloud PRO</title>

    <!-- Bootstrap core CSS -->
    <link href="assets/css/bootstrap.css" rel="stylesheet">
	<link href="assets/css/font-awesome.css" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link href="assets/css/style.css" rel="stylesheet">
  </head>

  <body>

     <!-- Static navbar -->


	<div class="container" style="max-width:600px;">
		<div class="row">
			<div class="col-lg-12 box-white rounded">
				    <div class="navbar navbar-default rounded-top" role="navigation">
					  <div class="container">
						<div class="navbar-header">
						  <a class="navbar-brand" href=""><i class="fa fa-cloud"></i> FileCloud Installation - www.20Script.ir</a>
					    </div>
					  </div>
					</div>	
					<div class="row" style="padding-bottom:10px;">
						<div class="col-lg-12">
						<?php
						if(isset($_POST['fc_install'])) {
							$mysql_host = protect($_POST['mysql_host']);
							$mysql_user = protect($_POST['mysql_user']);
							$mysql_pass = protect($_POST['mysql_pass']);
							$mysql_base = protect($_POST['mysql_base']);
							$title = protect($_POST['title']);
							$description = protect($_POST['description']);
							$keywords = protect($_POST['keywords']);
							$sitename = protect($_POST['sitename']);
							$url = protect($_POST['url']);
							$usern = protect($_POST['usern']);
							$passwd = protect($_POST['passwd']);
							$email = protect($_POST['email']);
							
							if(empty($mysql_host) or empty($mysql_user) or empty($mysql_pass) or empty($mysql_base) or empty($title) or empty($description) or empty($keywords) or empty($sitename) or empty($url) or empty($usern) or empty($passwd) or empty($email)) { echo error("All fields are required."); }
							elseif(!isValidURL($url)) { echo error("Please enter valid site url address."); }
							elseif(!isValidUsername($usern)) { echo error("Please enter valid admin username."); }
							elseif(!isValidEmail($email)) { echo error("Please enter valid admin email address."); }
							else {
								$db = mysql_connect($mysql_host,$mysql_user,$mysql_pass);

								if($db) {
								$select_db = mysql_select_db($mysql_base,$db);
									if($select_db) {
										mysql_query("SET NAMES 'utf8'");
										$sql_filename = 'sql.sql';
										$sql_contents = file_get_contents($sql_filename);
										$sql_contents = explode(";", $sql_contents);

										foreach($sql_contents as $k=>$v) {
											mysql_query($v);
										}
										
										$current .= '<?php
										';
										$current .= '$sql["host"] = "'.$mysql_host.'";
										';
										$current .= '$sql["user"] = "'.$mysql_user.'";
										';
										$current .= '$sql["pass"] = "'.$mysql_pass.'";
										';
										$current .= '$sql["base"] = "'.$mysql_base.'";
										';
										$current .= '$connection = mysql_connect($sql["host"],$sql["user"],$sql["pass"]);
										';
										$current .= '$select_database = mysql_select_db($sql["base"], $connection);
										';
										$current .= 'mysql_query("SET NAMES utf8");
										';
										$current .= '?>
										';
										
										file_put_contents("includes/config.php", $current);
										
										@unlink("sql.sql");
										@unlink("install.php"); 
										
										$insert_settings = mysql_query("INSERT settings (title,description,keywords,sitename,url,allowed_exts,max_filesize,files_per_page,allow_registration) VALUES ('$title','$description','$keywords','$sitename','$url','jpg,jpeg,png,gif,zip,mp3,mp4,pdf','10','15','1')");
										$passwd = md5($passwd);
										$insert_admin = mysql_query("INSERT users (usern,passwd,email,status,current_dspace,max_dspace) VALUES ('$usern','$passwd','$email','3','0','1073741825000')");
										$install_success=1;
									} else {
										echo error("Error! MySQL database not exists.");
									}
								} else {
									echo error("Error! Failed to connect to MySQL server.");
								}
							}
						}
						
						if($install_success !== 1) {
						?>
							<form action="" method="POST" role="form">
								<h3>MySQL Connection</h3>
								  <div class="form-group">
									<label>MySQL Host</label>
									<input type="text" class="form-control" name="mysql_host" value="<?php if(isset($_POST['mysql_host'])) { echo $_POST['mysql_host']; } ?>">
								  </div>
								  <div class="form-group">
									<label>MySQL Username</label>
									<input type="text" class="form-control" name="mysql_user" value="<?php if(isset($_POST['mysql_user'])) { echo $_POST['mysql_user']; } ?>">
								  </div>
								  <div class="form-group">
									<label>MySQL Password</label>
									<input type="password" class="form-control" name="mysql_pass" value="<?php if(isset($_POST['mysql_pass'])) { echo $_POST['mysql_pass']; } ?>">
								  </div>
								  <div class="form-group">
									<label>MySQL Database</label>
									<input type="text" class="form-control" name="mysql_base" value="<?php if(isset($_POST['mysql_base'])) { echo $_POST['mysql_base']; } ?>">
								  </div>
								<br>
								<h3>Web Settings</h3>
								  <div class="form-group">
									<label>Title</label>
									<input type="text" class="form-control" name="title" value="<?php if(isset($_POST['title'])) { echo $_POST['title']; } ?>">
								  </div>
								  <div class="form-group">
									<label>Description</label>
									<textarea class="form-control" name="description" rows="3"><?php if(isset($_POST['description'])) { echo $_POST['description']; } ?></textarea>
								  </div>
								  <div class="form-group">
									<label>Keywords</label>
									<textarea class="form-control" name="keywords" rows="3"><?php if(isset($_POST['keywords'])) { echo $_POST['keywords']; } ?></textarea>
								  </div>
								  <div class="form-group">
									<label>Site name</label>
									<input type="text" class="form-control" name="sitename" value="<?php if(isset($_POST['sitename'])) { echo $_POST['sitename']; } ?>">
								  </div>
								  <div class="form-group">
									<label>Site url</label>
									<input type="text" class="form-control" name="url" value="<?php if(isset($_POST['url'])) { echo $_POST['url']; } ?>" placeholder="Example: http://filecloud.com/">
								  </div>
								 <br>
								<h3>Create Admin Account</h3>
								  <div class="form-group">
									<label>Username</label>
									<input type="text" class="form-control" name="usern" value="<?php if(isset($_POST['usern'])) { echo $_POST['usern']; } ?>">
								  </div>
								  <div class="form-group">
									<label>Password</label>
									<input type="password" class="form-control" name="passwd">
								  </div>
								  <div class="form-group">
									<label>Email Address</label>
									<input type="text" class="form-control" name="email" value="<?php if(isset($_POST['email'])) { echo $_POST['email']; } ?>">
								  </div>
								
								<button type="submit" class="btn btn-primary btn-block" name="fc_install"><i class="fa fa-check-circle"></i> Install</button>
							</form>
						<?php 
						} else {
						?>
						<h3>Installation was successfully!</h3>
						<p>Your FileCloud address: <a href="<?php echo $url; ?>"><?php echo $url; ?></a></p><br/>
						<p>Admin account: <?php echo $usern; ?> / <?php echo protect($_POST['passwd']); ?></p><br/>
						<p>Note that not all system settings, please after login with admin account finish them from the admin menu</p>
						<?php
						}
						?>
						</div>
			</div>
		</div>
	</div>
	</div>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
	<script type="text/javascript" src="assets/js/jquery.js"></script>
    <script type="text/javascript" src="assets/js/bootstrap.js"></script>
	<script type="text/javascript" src="assets/js/source.js"></script>
    <script language="javascript" type="text/javascript" src="assets/uploader/js/arfaly-min.js" ></script>
	<script language="javascript" type="text/javascript" src="assets/uploader/js/custom.js" ></script>
  </body>
</html>
					