$(document).ready(function() {
	$(".welcome_msg").animate({'margin-top': '170px'}, 1000);
	start_show_login();
});

function start_show_login() {
	$(".welcome_msg").animate({'margin-top': '70px'}, 1000);
	$(".login_form").delay(2000).slideDown();
}	

function show_login_form() {
	$(".register_form").hide();
	$(".reset_form").hide();
	$(".login_form").slideDown();
}

function login() {
	var results = $("#login_results");
	results.html("<div class='alert alert-info'><i class='fa fa-spinner'></i> Please wait... </div>");
	$.ajax({
           type: "POST",
           url: "resources/login.php",
           dataType: "json",
		   data: $("#login_form").serialize(),
           success: function (data) {
               if(data['success_msg']) {
				results.html(data['success_msg']);
				setInterval(redirect,1000);
			   } else if(data['error_msg']) {
				results.html(data['error_msg']);
			   } else {
				results.html("<div class='alert alert-danger'>Error sending login request. Please try again.</div>");
			   }
           }
    });
}

function show_register_form() {
	$(".login_form").hide();
	$(".reset_form").hide();
	$(".register_form").slideDown();
}

function register() {
	var results = $("#register_results");
	results.html("<div class='alert alert-info'><i class='fa fa-spinner'></i> Please wait... </div>");
	$.ajax({
           type: "POST",
           url: "resources/register.php",
           dataType: "json",
		   data: $("#register_form").serialize(),
           success: function (data) {
               if(data['success_msg']) {
				results.html(data['success_msg']);
				$("#register_form").trigger("reset");
			   } else if(data['error_msg']) {
				results.html(data['error_msg']);
			   } else {
				results.html("<div class='alert alert-danger'>Error sending register request. Please try again.</div>");
			   }
           }
    });
}

function show_reset_form() {
	$(".login_form").hide();
	$(".register_form").hide();
	$(".reset_form").slideDown();	
}

function reset_passwd() {
	var results = $("#reset_results");
	results.html("<div class='alert alert-info'><i class='fa fa-spinner'></i> Please wait... </div>");
	$.ajax({
           type: "POST",
           url: "resources/reset.php",
           dataType: "json",
		   data: $("#reset_form").serialize(),
           success: function (data) {
               if(data['success_msg']) {
				results.html(data['success_msg']);
				$("#reset_form").trigger("reset");
			   } else if(data['error_msg']) {
				results.html(data['error_msg']);
			   } else {
				results.html("<div class='alert alert-danger'>Error sending reset request. Please try again.</div>");
			   }
           }
    });
}

function redirect() {
	window.location = './';
}