function fc_set_passwd(url) {
	var results = $("#fc_set_passwd_results");
	results.html("<div class='alert alert-info'><i class='fa fa-spinner'></i> Please wait... </div>");
	var data_url = url + "resources/file.php?action=set_passwd";
	$.ajax({
           type: "POST",
           url: data_url,
           dataType: "json",
		   data: $("#form_set_passwd").serialize(),
           success: function (data) {
               if(data['success_msg']) {
				results.html(data['success_msg']);
				$("#password_status").html('Yes (<a href="#" data-toggle="modal" data-target="#remove_password">Remove</a>)');
			   } else if(data['error_msg']) {
				results.html(data['error_msg']);
			   } else {
				results.html("<div class='alert alert-danger'>Error sending form request. Please try again.</div>");
			   }
           }
    });
}

function fc_remove_passwd(url) {
	var results = $("#fc_remove_passwd_results");
	results.html("<div class='alert alert-info'><i class='fa fa-spinner'></i> Please wait... </div>");
	var data_url = url + "resources/file.php?action=remove_passwd";
	$.ajax({
           type: "POST",
           url: data_url,
           dataType: "json",
		   data: $("#form_remove_passwd").serialize(),
           success: function (data) {
               if(data['success_msg']) {
				results.html(data['success_msg']);
				$("#password_status").html('No (<a href="#" data-toggle="modal" data-target="#set_password">Set</a>)');
			   } else if(data['error_msg']) {
				results.html(data['error_msg']);
			   } else {
				results.html("<div class='alert alert-danger'>Error sending form request. Please try again.</div>");
			   }
           }
    });
}

function fc_make_premium(url) {
	var results = $("#fc_make_premium_results");
	results.html("<div class='alert alert-info'><i class='fa fa-spinner'></i> Please wait... </div>");
	var data_url = url + "resources/file.php?action=make_premium";
	$.ajax({
           type: "POST",
           url: data_url,
           dataType: "json",
		   data: $("#form_make_premium").serialize(),
           success: function (data) {
               if(data['success_msg']) {
				results.html(data['success_msg']);
				$("#payed_status").html('No (<a href="#" data-toggle="modal" data-target="#make_free">Make FREE</a>)');
			   } else if(data['error_msg']) {
				results.html(data['error_msg']);
			   } else {
				results.html("<div class='alert alert-danger'>Error sending form request. Please try again.</div>");
			   }
           }
    });
}

function fc_make_free(url) {
	var results = $("#fc_make_free_results");
	results.html("<div class='alert alert-info'><i class='fa fa-spinner'></i> Please wait... </div>");
	var data_url = url + "resources/file.php?action=make_free";
	$.ajax({
           type: "POST",
           url: data_url,
           dataType: "json",
		   data: $("#form_make_free").serialize(),
           success: function (data) {
               if(data['success_msg']) {
				results.html(data['success_msg']);
				$("#payed_status").html('Yes (<a href="#" data-toggle="modal" data-target="#make_premium">Make PREMIUM</a>)');
			   } else if(data['error_msg']) {
				results.html(data['error_msg']);
			   } else {
				results.html("<div class='alert alert-danger'>Error sending form request. Please try again.</div>");
			   }
           }
    });
}