<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?php echo $web['description']; ?>">
	<meta name="description" content="<?php echo $web['keywords']; ?>">
    <meta name="author" content="me4onkof (http://me4onkof.info)">

    <title><?php echo $web['title']; ?></title>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo $web['url']; ?>assets/css/bootstrap.css" rel="stylesheet">
	<link href="<?php echo $web['url']; ?>assets/css/font-awesome.css" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link href="<?php echo $web['url']; ?>assets/css/style.css" rel="stylesheet">
  </head>

  <body>

     <!-- Static navbar -->


	<div class="container">
		<div class="row">
					<div class="col-lg-12 login_page">
						<div class="welcome_msg"><i class="fa fa-cloud"></i> <?php echo $web['sitename']; ?></div>
						<div class="login_form main">
							  <div class="row">
								<div class="col-xs-12 col-sm-12 col-md-12" id="login_results">
									
								</div>
							  </div>
							  <form id="login_form" role="form">
								<div class="form-group">
								  <label>Username</label>
								  <input type="text" class="form-control" name="fc_usern">
								</div>
								<div class="form-group">
								  <label>Password</label>
								  <input type="password" class="form-control" name="fc_passwd">
								</div>
								<button type="button" class="btn btn-primary" onclick="login();">Login</button>
								<?php if($web['allow_registration'] == 1) { ?>
								<span class="pull-right text-right">
									No have account? <a href="javascript:void(0);" onclick="show_register_form();" class="login_link">Create</a> new.<br/>
									Forgot password? <a href="javascript:void(0);" onclick="show_reset_form();" class="login_link">Reset</a> it.
								</span>
								 <?php } ?>
							  </form>
							 
						</div>
						<?php if($web['allow_registration'] == 1) { ?>
						<div class="register_form">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-12" id="register_results">
									
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12">
									<form id="register_form" role="form">
										<div class="form-group">
											<label>Username</label>
											<input type="text" class="form-control" name="fc_usern">
										</div>
										<div class="form-group">
											<label>Password</label>
											<input type="password" class="form-control" name="fc_passwd">
										</div>
										<div class="form-group">
											<label>Confirm password</label>
											<input type="password" class="form-control" name="fc_cpasswd">
										</div>
										<div class="form-group">
											<label>Email address</label>
											<input type="text" class="form-control" name="fc_email">
										</div>
										<button type="button" class="btn btn-primary" onclick="register();">Register</button>
										<span class="pull-right text-right">
											Already have account? <a href="javascript:void(0);" onclick="show_login_form();" class="login_link">Login</a>.<br/>
											Forgot password? <a href="javascript:void(0);" onclick="show_reset_form();" class="login_link">Reset</a> it.
										</span>
									</form>
								</div>
							</div>
						</div>
						
						<div class="reset_form">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-12" id="reset_results">
									
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12">
									<form id="reset_form" role="form">
										<div class="form-group">
											<label>Email address</label>
											<input type="text" class="form-control" name="fc_email">
										</div>
										<button type="button" class="btn btn-primary" onclick="reset_passwd();">Reset password</button>
										<span class="pull-right text-right">
											Already have account? <a href="javascript:void(0);" onclick="show_login_form();" class="login_link">Login</a>.<br/>
											No have account? <a href="javascript:void(0);" onclick="show_register_form();" class="login_link">Create</a> new.
										</span>
									</form>
								</div>
							</div>
						</div>
						 <?php } ?>
					</div>
			</div>
		</div>
	</div>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
	<script type="text/javascript" src="<?php echo $web['url']; ?>assets/js/jquery.js"></script>
    <script type="text/javascript" src="<?php echo $web['url']; ?>assets/js/bootstrap.js"></script>
	<script type="text/javascript" src="<?php echo $web['url']; ?>assets/js/login.js"></script>
  </body>
</html>
